Skip to main content
`Ctrl`+`K`

# TSAlpha2GetParams

gets the algorithmic parameters for `TSALPHA2`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAlpha2GetParams(TS ts, PetscReal *alpha_m, PetscReal *alpha_f, PetscReal *gamma, PetscReal *beta)

Not Collective

## Input Parameter

- ts - timestepping context

## Output Parameters

- alpha_m - algorithmic parameter

- alpha_f - algorithmic parameter

- gamma - algorithmic parameter

- beta - algorithmic parameter

## Note

Use of this function is normally only required to hack `TSALPHA2` to use a modified integration scheme. Users should call `TSAlpha2SetRadius()` to set the high-frequency damping (i.e. spectral radius of the method) in order so select optimal values for these parameters.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSALPHA2`, `TSAlpha2SetRadius()`, `TSAlpha2SetParams()`

## Level

advanced

## Location

src/ts/impls/implicit/alpha/alpha2.c

## Implementations

TSAlpha2GetParams_Alpha() in src/ts/impls/implicit/alpha/alpha2.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages